QGIS Application - Bug report #19569
QGIS 3.2.1 crashes upon startup when Vectorworks 2018 is installed
2018-08-08 03:53 PM - Markus Meyer

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.2.1 Regression?: No
Operating System: Windows 10 64bit Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corruptsdata: Copied to github as #: 27396
Description

We have encountered a problem on all of our machines, if we have Vectorworks 2018 installed.

After a little bit of research it appears, that Vectorworks 2018 is also copying files upon installation to the system32 folder.

Those files are the following:

Qt5Core.dll, Qt5Gui.dll, Qt5Network.dll, Qt5OpenGL.dll, Qt5Widgets.dll, Qt5Xml.dll (Version of all the Dlls: 5.5.1.0, 05.04.2018 08:51)

After the installation of Vectorworks, QGIS won't start. Attached are the screenshots of the error messages.
The workaround to solve this problem, is to delete/rename/move the ddl's from the system32 folder. After that step is done, QGIS will

work just fine.

So far we did not figure out what effects the removal of the dll's might have on the software/systems.

History

#1 - 2018-08-13 03:07 PM - Pascal Mages

| can confirm this Bug with QGIS 3.2.1 and Vectorworks 2018!

Renaming the mentioned DLLs works for me. Vectorworks does not seem to be affected.

I'll gladly help resolving this problem by providing further information or testing.

#2 - 2018-08-13 03:28 PM - Markus Meyer
- Status changed from Open to Closed

#3 - 2018-08-13 03:30 PM - Pascal Mages

Why did you close this bug?

#4 - 2018-08-13 03:33 PM - Markus Meyer
- Status changed from Closed to Reopened

I thought the problem comes from Vectorworks, since those files are older then the ones used from QGIS.

| will leave the case open for now.

#5 - 2018-08-13 03:46 PM - Giovanni Manghi
- Resolution changed from worksforme to invalid

Pascal Mages wrote:

Why did you close this bug?

because the "DLL hell" caused by other programs is not a QGIS issue: no program installer should ever put any DLL (potentially used by other programs) in

the system32 folder.

#6 - 2018-08-13 03:50 PM - Markus Meyer
- Status changed from Reopened to Closed

Thank you Giovanni.

| will go ahead and close the case now.

Files

2018-08-08 15_48_36-Neues Ticket - QGIS Application - QGIS Issue TreekindSipg
2018-08-08 15_48_43-Neues Ticket - QGIS Application - QGIS Issue TrackindSipg
2018-08-08 15_48_30-Neues Ticket - QGIS Application - QGIS Issue TregkitdSipg
2018-08-08 15_48_22-Neues Ticket - QGIS Application - QGIS Issue TregRikBpg
2018-08-08 15_48_06-Neues Ticket - QGIS Application - QGIS Issue TreEgkitdSpg
